<?php
// Load and parse the existing JSON file
$filename = 'urls.json';
if (!file_exists($filename)) {
    die("The JSON file '$filename' does not exist.");
}

$currentData = file_get_contents($filename);
$urls = json_decode($currentData, true);

// Get data from the POST request
$id = $_POST['id'];
$url = $_POST['url'];

// Append the new data to the existing JSON
$urls[$id] = [
    "url" => $url,
    "clicks" => 0
];

// Encode the entire JSON structure (including both old and new data)
$newJsonData = json_encode($urls, JSON_PRETTY_PRINT);

// Write the updated JSON data back to the file
file_put_contents($filename, $newJsonData);

// Respond to the client
echo "New entry added successfully!";
?>
