<?php
if (!isset($_GET['alias']))
{
    die("Welcome to the URL shortener!");
}

$alias = htmlspecialchars($_GET['alias']);

if (!$urls = file_get_contents("urls.json"))
{
    die("Couldn't read urls.json!");
}

$urls = json_decode($urls, true);

if (array_key_exists($alias, $urls))
{
    // Load and decode the JSON file
    $targetUrl = $urls[$alias]['url'];

    // Increment the click count
    $urls[$alias]['clicks']++;

    // Update the JSON file with the new click count
    file_put_contents("urls.json", json_encode($urls));

    // Redirect to the target URL
    header("Location: " . $targetUrl);
    exit();
}

echo "URL /$alias not found!";
?>
